org.keycloak.models.jpa.entities

## Class UserConsentRoleEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserConsentRoleEntity

-     @Entity
      public class UserConsentRoleEntity
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UserConsentRoleEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `roleId`
    `protected UserConsentEntity` | `userConsent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConsentRoleEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getRoleId()`
    `UserConsentEntity` | `getUserConsent()`
    `int` | `hashCode()`
    `void` | `setRoleId(String roleId)`
    `void` | `setUserConsent(UserConsentEntity userConsent)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userConsent

          protected UserConsentEntity userConsent

    - #### roleId

          protected String roleId

  - ### Constructor Detail

    - #### UserConsentRoleEntity

          public UserConsentRoleEntity()

  - ### Method Detail

    - #### getUserConsent

          public UserConsentEntity getUserConsent()

    - #### setUserConsent

          public void setUserConsent(UserConsentEntity userConsent)

    - #### getRoleId

          public String getRoleId()

    - #### setRoleId

          public void setRoleId(String roleId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 JBoss by Red Hat. All rights reserved.